org.opencv.face

## Class LBPHFaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer
    - - org.opencv.face.LBPHFaceRecognizer

-     public class LBPHFaceRecognizer
      extends FaceRecognizer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LBPHFaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LBPHFaceRecognizer` | `__fromPtr__(long addr)`
    `static LBPHFaceRecognizer` | `create()` radius, the smoother the image but more spatial information you can get.
    `static LBPHFaceRecognizer` | `create(int radius)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors, int grid_x)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors, int grid_x, int grid_y)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors, int grid_x, int grid_y, double threshold)`
    `protected void` | `finalize()`
    `int` | `getGridX()` SEE: setGridX
    `int` | `getGridY()` SEE: setGridY
    `List<Mat>` | `getHistograms()`
    `Mat` | `getLabels()`
    `int` | `getNeighbors()` SEE: setNeighbors
    `int` | `getRadius()` SEE: setRadius
    `double` | `getThreshold()` SEE: setThreshold
    `void` | `setGridX(int val)` getGridX SEE: getGridX
    `void` | `setGridY(int val)` getGridY SEE: getGridY
    `void` | `setNeighbors(int val)` getNeighbors SEE: getNeighbors
    `void` | `setRadius(int val)` getRadius SEE: getRadius
    `void` | `setThreshold(double val)` getThreshold SEE: getThreshold

    - ### Methods inherited from class org.opencv.face.FaceRecognizer

      `getLabelInfo, getLabelsByString, predict_collect, predict_label, predict, read, setLabelInfo, train, update, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LBPHFaceRecognizer

          protected LBPHFaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LBPHFaceRecognizer __fromPtr__(long addr)

    - #### getLabels

          public Mat getLabels()

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors,
                                                  int grid_x,
                                                  int grid_y,
                                                  double threshold)

      Parameters:
        `radius` - The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get.
        `neighbors` - The number of sample points to build a Circular Local Binary Pattern from. An appropriate value is to use `8` sample points. Keep in mind: the more sample points you include, the higher the computational cost.
        `grid_x` - The number of cells in the horizontal direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector.
        `grid_y` - The number of cells in the vertical direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector.
        `threshold` - The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. ### Notes:
        - The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces.
        - This model supports updating.
        ### Model internal data:
        - radius see LBPHFaceRecognizer::create.
        - neighbors see LBPHFaceRecognizer::create.
        - grid_x see LLBPHFaceRecognizer::create.
        - grid_y see LBPHFaceRecognizer::create.
        - threshold see LBPHFaceRecognizer::create.
        - histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given).
        - labels Labels corresponding to the calculated Local Binary Patterns Histograms.
      Returns:
        automatically generated

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors,
                                                  int grid_x,
                                                  int grid_y)

      Parameters:
        `radius` - The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get.
        `neighbors` - The number of sample points to build a Circular Local Binary Pattern from. An appropriate value is to use `8` sample points. Keep in mind: the more sample points you include, the higher the computational cost.
        `grid_x` - The number of cells in the horizontal direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector.
        `grid_y` - The number of cells in the vertical direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. is larger than the threshold, this method returns -1. ### Notes:
        - The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces.
        - This model supports updating.
        ### Model internal data:
        - radius see LBPHFaceRecognizer::create.
        - neighbors see LBPHFaceRecognizer::create.
        - grid_x see LLBPHFaceRecognizer::create.
        - grid_y see LBPHFaceRecognizer::create.
        - threshold see LBPHFaceRecognizer::create.
        - histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given).
        - labels Labels corresponding to the calculated Local Binary Patterns Histograms.
      Returns:
        automatically generated

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors,
                                                  int grid_x)

      Parameters:
        `radius` - The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get.
        `neighbors` - The number of sample points to build a Circular Local Binary Pattern from. An appropriate value is to use `8` sample points. Keep in mind: the more sample points you include, the higher the computational cost.
        `grid_x` - The number of cells in the horizontal direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. is larger than the threshold, this method returns -1. ### Notes:
        - The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces.
        - This model supports updating.
        ### Model internal data:
        - radius see LBPHFaceRecognizer::create.
        - neighbors see LBPHFaceRecognizer::create.
        - grid_x see LLBPHFaceRecognizer::create.
        - grid_y see LBPHFaceRecognizer::create.
        - threshold see LBPHFaceRecognizer::create.
        - histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given).
        - labels Labels corresponding to the calculated Local Binary Patterns Histograms.
      Returns:
        automatically generated

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors)

      Parameters:
        `radius` - The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get.
        `neighbors` - The number of sample points to build a Circular Local Binary Pattern from. An appropriate value is to use `8` sample points. Keep in mind: the more sample points you include, the higher the computational cost. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. is larger than the threshold, this method returns -1. ### Notes:
        - The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces.
        - This model supports updating.
        ### Model internal data:
        - radius see LBPHFaceRecognizer::create.
        - neighbors see LBPHFaceRecognizer::create.
        - grid_x see LLBPHFaceRecognizer::create.
        - grid_y see LBPHFaceRecognizer::create.
        - threshold see LBPHFaceRecognizer::create.
        - histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given).
        - labels Labels corresponding to the calculated Local Binary Patterns Histograms.
      Returns:
        automatically generated

    - #### create

          public static LBPHFaceRecognizer create(int radius)

      Parameters:
        `radius` - The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get. appropriate value is to use `8` sample points. Keep in mind: the more sample points you include, the higher the computational cost. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. is larger than the threshold, this method returns -1. ### Notes:
        - The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces.
        - This model supports updating.
        ### Model internal data:
        - radius see LBPHFaceRecognizer::create.
        - neighbors see LBPHFaceRecognizer::create.
        - grid_x see LLBPHFaceRecognizer::create.
        - grid_y see LBPHFaceRecognizer::create.
        - threshold see LBPHFaceRecognizer::create.
        - histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given).
        - labels Labels corresponding to the calculated Local Binary Patterns Histograms.
      Returns:
        automatically generated

    - #### create

          public static LBPHFaceRecognizer create()

      radius, the smoother the image but more spatial information you can get. appropriate value is to use `8` sample points. Keep in mind: the more sample points you include, the higher the computational cost. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. is larger than the threshold, this method returns -1. ### Notes:
      - The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces.
      - This model supports updating.
      ### Model internal data:
      - radius see LBPHFaceRecognizer::create.
      - neighbors see LBPHFaceRecognizer::create.
      - grid_x see LLBPHFaceRecognizer::create.
      - grid_y see LBPHFaceRecognizer::create.
      - threshold see LBPHFaceRecognizer::create.
      - histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given).
      - labels Labels corresponding to the calculated Local Binary Patterns Histograms.
      Returns:
        automatically generated

    - #### getThreshold

          public double getThreshold()

      SEE: setThreshold
      Returns:
        automatically generated

    - #### getGridX

          public int getGridX()

      SEE: setGridX
      Returns:
        automatically generated

    - #### getGridY

          public int getGridY()

      SEE: setGridY
      Returns:
        automatically generated

    - #### getNeighbors

          public int getNeighbors()

      SEE: setNeighbors
      Returns:
        automatically generated

    - #### getRadius

          public int getRadius()

      SEE: setRadius
      Returns:
        automatically generated

    - #### getHistograms

          public List<Mat> getHistograms()

    - #### setGridX

          public void setGridX(int val)

      getGridX SEE: getGridX
      Parameters:
        `val` - automatically generated

    - #### setGridY

          public void setGridY(int val)

      getGridY SEE: getGridY
      Parameters:
        `val` - automatically generated

    - #### setNeighbors

          public void setNeighbors(int val)

      getNeighbors SEE: getNeighbors
      Parameters:
        `val` - automatically generated

    - #### setRadius

          public void setRadius(int val)

      getRadius SEE: getRadius
      Parameters:
        `val` - automatically generated

    - #### setThreshold

          public void setThreshold(double val)

      getThreshold SEE: getThreshold
      Parameters:
        `val` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `FaceRecognizer`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7